package com.fzm.mall.server.admin.auth_center.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.auth_center.entity.vo.AuthMenuVO;
import com.fzm.mall.server.admin.auth_center.entity.vo.RoleAuthMenuVO;
import com.fzm.mall.server.admin.auth_center.model.AuthMenu;

import java.util.List;

/**
 * @author wangp
 * @date 2021/4/8 13:41
 * @description 管理员权限 服务类
 * @since JDK 1.8
 */
public interface IAuthMenuService extends IService<AuthMenu> {

    /**
     * 获取角色权限菜单
     */
    List<RoleAuthMenuVO> getRoleAuthMenu(Integer type, String roleId);

    /**
     * 获取所有权限菜单
     */
    List<RoleAuthMenuVO> getAllAuthMenu();

    /**
     * 获取平台默认权限菜单
     */
    List<AuthMenuVO> getPlatFormDefaultAuthMenu();

    /**
     * 索引查询权限
     *
     * @param index 索引
     * @return 权限菜单
     */
    AuthMenuVO getByIndex(Integer index);

    /**
     * 获取管理员权限菜单
     *
     * @param adminId 管理员id
     * @return 权限菜单集
     */
    List<AuthMenu> getAdminAuthMenu(String adminId);


    /**
     * 获取管理员权限菜单VO
     *
     * @param adminId 管理员id
     * @return 权限菜单集
     */
    List<AuthMenuVO> getAdminAuthMenuVO(String adminId);
}
